/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Elpis
 * @copyright  Copyright 2006-2022 Webligo Developments
 * @license    http://www.socialengine.com/license/
 * @version    $Id: my.sql 2022-06-20
 */


INSERT IGNORE INTO `engine4_core_menuitems` (`name`, `module`, `label`, `plugin`, `params`, `menu`, `submenu`, `order`) VALUES
("core_admin_main_elpis", "elpis", "Elpis Theme", "", '{"route":"admin_default","module":"elpis","controller":"settings"}', "core_admin_main", "", 999),
("elpis_admin_main_settings", "elpis", "Global Settings", "", '{"route":"admin_default","module":"elpis","controller":"settings"}', "elpis_admin_main", "", 1),
("elpis_admin_main_styling", "elpis", "Color Schemes", "", '{"route":"admin_default","module":"elpis","controller":"settings", "action":"styling"}', "elpis_admin_main", "", 2),
("elpis_admin_main_managefonts", "elpis", "Manage Fonts", "", '{"route":"admin_default","module":"elpis","controller":"settings", "action":"manage-fonts"}', "elpis_admin_main", "", 3);

DROP TABLE IF EXISTS `engine4_elpis_customthemes`;
CREATE TABLE IF NOT EXISTS `engine4_elpis_customthemes` (
  `customtheme_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  `value` varchar(32) NOT NULL,
  `column_key` varchar(128) NOT NULL,
  `theme_id` int(11) NOT NULL,
  `default` TINYINT(1) NOT NULL DEFAULT "0" ,
  PRIMARY KEY (`customtheme_id`),
  UNIQUE KEY `UNIQUEKEY` (`column_key`,`theme_id`,`default`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1;


INSERT IGNORE INTO `engine4_elpis_customthemes` (`name`, `value`, `column_key`, `theme_id`, `default`) VALUES
("Theme - 1", "1", "theme_color", 1, 0),
("Theme - 1", "1", "custom_theme_color", 1, 0),
("Theme - 1", "#ffffff", "elpis_header_background_color", 1, 0),
("Theme - 1", "#ffffff", "elpis_mainmenu_background_color", 1, 0),
("Theme - 1", "#002646", "elpis_mainmenu_links_color", 1, 0),
("Theme - 1", "#ffffff", "elpis_mainmenu_links_hover_color", 1, 0),
("Theme - 1", "#2491EB", "elpis_mainmenu_links_hover_background_color", 1, 0),
("Theme - 1", "#FFFFFF", "elpis_minimenu_links_color", 1, 0),
("Theme - 1", "#2491eb", "elpis_minimenu_links_background_color", 1, 0),
("Theme - 1", "#002646", "elpis_minimenu_signup_background_color", 1, 0),
("Theme - 1", "#FFFFFF", "elpis_minimenu_signup_font_color", 1, 0),
("Theme - 1", "#FFFFFF", "elpis_footer_background_color", 1, 0),
("Theme - 1", "#676767", "elpis_footer_font_color", 1, 0),
("Theme - 1", "#676767", "elpis_footer_links_color", 1, 0),
("Theme - 1", "#e4e4e4", "elpis_footer_border_color", 1, 0),
("Theme - 1", "#2491eb", "elpis_theme_color", 1, 0),
("Theme - 1", "#eff4fb", "elpis_body_background_color", 1, 0),
("Theme - 1", "#5f727f", "elpis_font_color", 1, 0),
("Theme - 1", "#808D97", "elpis_font_color_light", 1, 0),
("Theme - 1", "#444f5d", "elpis_links_color", 1, 0),
("Theme - 1", "#2491eb", "elpis_links_hover_color", 1, 0),
("Theme - 1", "#1c2735", "elpis_headline_color", 1, 0),
("Theme - 1", "#e2e4e6", "elpis_border_color", 1, 0),
("Theme - 1", "#FFFFFF", "elpis_box_background_color", 1, 0),
("Theme - 1", "#455B6B", "elpis_form_label_color", 1, 0),
("Theme - 1", "#fff", "elpis_input_background_color", 1, 0),
("Theme - 1", "#5f727f", "elpis_input_font_color", 1, 0),
("Theme - 1", "#d7d8da", "elpis_input_border_color", 1, 0),
("Theme - 1", "#2491eb", "elpis_button_background_color", 1, 0),
("Theme - 1", "#59b4ff", "elpis_button_background_color_hover", 1, 0),
("Theme - 1", "#ffffff", "elpis_button_font_color", 1, 0),
("Theme - 1", "#2491eb", "elpis_button_border_color", 1, 0),
("Theme - 1", "#fff", "elpis_comments_background_color", 1, 0),
("Theme - 2", "2", "theme_color", 2, 0),
("Theme - 2", "2", "custom_theme_color", 2, 0),
("Theme - 2", "#ffffff", "elpis_header_background_color", 2, 0),
("Theme - 2", "#ffffff", "elpis_mainmenu_background_color", 2, 0),
("Theme - 2", "#002646", "elpis_mainmenu_links_color", 2, 0),
("Theme - 2", "#ffffff", "elpis_mainmenu_links_hover_color", 2, 0),
("Theme - 2", "#cc0821", "elpis_mainmenu_links_hover_background_color", 2, 0),
("Theme - 2", "#FFFFFF", "elpis_minimenu_links_color", 2, 0),
("Theme - 2", "#cc0821", "elpis_minimenu_links_background_color", 2, 0),
("Theme - 2", "#6b000e", "elpis_minimenu_signup_background_color", 2, 0),
("Theme - 2", "#FFFFFF", "elpis_minimenu_signup_font_color", 2, 0),
("Theme - 2", "#FFFFFF", "elpis_footer_background_color", 2, 0),
("Theme - 2", "#676767", "elpis_footer_font_color", 2, 0),
("Theme - 2", "#676767", "elpis_footer_links_color", 2, 0),
("Theme - 2", "#e4e4e4", "elpis_footer_border_color", 2, 0),
("Theme - 2", "#cc0821", "elpis_theme_color", 2, 0),
("Theme - 2", "#eff4fb", "elpis_body_background_color", 2, 0),
("Theme - 2", "#5f727f", "elpis_font_color", 2, 0),
("Theme - 2", "#808D97", "elpis_font_color_light", 2, 0),
("Theme - 2", "#444f5d", "elpis_links_color", 2, 0),
("Theme - 2", "#cc0821", "elpis_links_hover_color", 2, 0),
("Theme - 2", "#1c2735", "elpis_headline_color", 2, 0),
("Theme - 2", "#e2e4e6", "elpis_border_color", 2, 0),
("Theme - 2", "#FFFFFF", "elpis_box_background_color", 2, 0),
("Theme - 2", "#455B6B", "elpis_form_label_color", 2, 0),
("Theme - 2", "#fff", "elpis_input_background_color", 2, 0),
("Theme - 2", "#5f727f", "elpis_input_font_color", 2, 0),
("Theme - 2", "#d7d8da", "elpis_input_border_color", 2, 0),
("Theme - 2", "#cc0821", "elpis_button_background_color", 2, 0),
("Theme - 2", "#ff3952", "elpis_button_background_color_hover", 2, 0),
("Theme - 2", "#FFFFFF", "elpis_button_font_color", 2, 0),
("Theme - 2", "#cc0821", "elpis_button_border_color", 2, 0),
("Theme - 2", "#fff", "elpis_comments_background_color", 2, 0),
("Theme - 3", "3", "theme_color", 3, 0),
("Theme - 3", "3", "custom_theme_color", 3, 0),
("Theme - 3", "#0D0D0D", "elpis_header_background_color", 3, 0),
("Theme - 3", "#0D0D0D", "elpis_mainmenu_background_color", 3, 0),
("Theme - 3", "#fff", "elpis_mainmenu_links_color", 3, 0),
("Theme - 3", "#fff", "elpis_mainmenu_links_hover_color", 3, 0),
("Theme - 3", "#2491EB", "elpis_mainmenu_links_hover_background_color", 3, 0),
("Theme - 3", "#DDDDDD", "elpis_minimenu_links_color", 3, 0),
("Theme - 3", "#2491eb", "elpis_minimenu_links_background_color", 3, 0),
("Theme - 3", "#2491eb", "elpis_minimenu_signup_background_color", 3, 0),
("Theme - 3", "#FFFFFF", "elpis_minimenu_signup_font_color", 3, 0),
("Theme - 3", "#151515", "elpis_footer_background_color", 3, 0),
("Theme - 3", "#FFFFFF", "elpis_footer_font_color", 3, 0),
("Theme - 3", "#999999", "elpis_footer_links_color", 3, 0),
("Theme - 3", "#151515", "elpis_footer_border_color", 3, 0),
("Theme - 3", "#2491eb", "elpis_theme_color", 3, 0),
("Theme - 3", "#222222", "elpis_body_background_color", 3, 0),
("Theme - 3", "#DDDDDD", "elpis_font_color", 3, 0),
("Theme - 3", "#CCCCCC", "elpis_font_color_light", 3, 0),
("Theme - 3", "#FFFFFF", "elpis_links_color", 3, 0),
("Theme - 3", "#2491eb", "elpis_links_hover_color", 3, 0),
("Theme - 3", "#DDDDDD", "elpis_headline_color", 3, 0),
("Theme - 3", "#383838", "elpis_border_color", 3, 0),
("Theme - 3", "#2F2F2F", "elpis_box_background_color", 3, 0),
("Theme - 3", "#DDDDDD", "elpis_form_label_color", 3, 0),
("Theme - 3", "#4C4C4C", "elpis_input_background_color", 3, 0),
("Theme - 3", "#DDDDDD", "elpis_input_font_color", 3, 0),
("Theme - 3", "#666666", "elpis_input_border_color", 3, 0),
("Theme - 3", "#2491eb", "elpis_button_background_color", 3, 0),
("Theme - 3", "#59b4ff", "elpis_button_background_color_hover", 3, 0),
("Theme - 3", "#FFFFFF", "elpis_button_font_color", 3, 0),
("Theme - 3", "#2491eb", "elpis_button_border_color", 3, 0),
("Theme - 3", "#4C4C4C", "elpis_comments_background_color", 3, 0);
